import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/submit',
    method: 'post',
    data: row
  })
}

export const payStat = (params) => {
  return request({
    url: '/api/cyzh-bussiness-pay-order/bussinesspayorder/payStat',
    method: 'get',
    params: {
      ...params,
    }
  })
}

